{% extends 'dashboard/dashboard_content.html' %}


{% block rightPane %}

    <div class="x_panel">
        <div class="x_title">
            <h2>
                <i class="fa fa-file-text-o"></i>
                Flexi Attendance
            </h2>
            <div class="clearfix"></div>
        </div>
        <div class="x_content">
            <div class="row">

                <ul class="nav nav-tabs bar_tabs">
                    {% for course_allotment in course_allotment_list %}
                        {% if forloop.counter == 1 %}
                            <li {% if selected_allotment_pk == course_allotment.staff_course_instance.pk %}class="active" {% else %}
                                class="" {% endif %}>
                                <a aria-expanded="true"
                                   id={{ course_allotment.staff_course_instance.pk }}
                                           data-toggle="tab" name="course_tab">
                                    {{ course_allotment.display_text }}
                                </a>
                            </li>
                        {% else %}
                            <li {% if selected_allotment_pk == course_allotment.staff_course_instance.pk %}class="active" {% else %}
                                class="" {% endif %}>
                                <a aria-expanded="false"
                                   id={{ course_allotment.staff_course_instance.pk }}
                                           data-toggle="tab" name="course_tab">
                                    {{ course_allotment.display_text }}
                                </a>
                            </li>
                        {% endif %}
                    {% endfor %}
                </ul>

                <div class="tab-content">
                    <div class="row">
                        <form method="POST" class="form-horizontal" id="flexi_attendance_form">{% csrf_token %}
                            <div class="form-group" id="select_date">
                                <label class="col-md-3 col-sm-3 col-xs-12 col-md-offset-1 control-label">Date</label>
                                <div class="col-md-5 col-sm-6 col-xs-12">
                                    <input type="text" id="datepicker-1" placeholder="Click to choose a date"
                                           name="date" class="form-control" required>
                                </div>
                            </div>
                            <div class="form-group" id="select_hours">
                                <label class="col-md-3 col-sm-3 col-xs-12 col-md-offset-1 control-label">Select
                                    Hour</label>
                                <div class="col-md-5 col-sm-6 col-xs-12">
                                    <select id="id_hours" name="hour" required class="form-control">
                                        <option value="" selected>Select a hour</option>
                                        <option value="1">Hour 1</option>
                                        <option value="2">Hour 2</option>
                                        <option value="3">Hour 3</option>
                                        <option value="4">Hour 4</option>
                                        <option value="5">Hour 5</option>
                                        <option value="6">Hour 6</option>
                                        <option value="7">Hour 7</option>
                                        <option value="8">Hour 8</option>
                                    </select>
                                </div>
                            </div>

                            <div class="text-center">
                                <button type="button" class="btn btn-primary btn-lg" data-toggle="modal"
                                        data-target="#flexi_prompt"
                                        id='attendance_submit_buttom'>
                                    Mark Attendance
                                </button>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>


    <div id="flexi_prompt" class="modal fade" role="dialog">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal">&times;</button>
                    <h4 class="modal-title">Confirmation Prompt</h4>
                </div>
                <div class="modal-body">
                    <div class="col-md-8 col-md-offset-2">
                        <table class="table table-bordered">
                            <tbody id="entry">


                            </tbody>

                        </table>
                    </div>

                </div>
                <div class="clearfix"></div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-lg btn-danger" data-dismiss="modal" id="submit_form">Yes, I'm
                        Sure
                    </button>
                </div>
            </div>
        </div>
    </div>

    <form id="dummy_form" method="post">
        {% csrf_token %}
    </form>

    <script type="text/javascript">
        $(function () {
            $("#datepicker-1").datepicker({
                dateFormat: "yy-mm-dd",
                maxDate: '0',
            });
        });
    </script>


    <script type="text/javascript">

        var curent_subject;
        function getCookie(name) {
            var cookieValue = null;
            if (document.cookie && document.cookie != '') {
                var cookies = document.cookie.split(';');
                for (var i = 0; i < cookies.length; i++) {
                    var cookie = jQuery.trim(cookies[i]);
                    // Does this cookie string begin with the name we want?
                    if (cookie.substring(0, name.length + 1) == (name + '=')) {
                        cookieValue = decodeURIComponent(cookie.substring(name.length + 1));
                        break;
                    }
                }
            }
            return cookieValue;
        }
        $('document').ready(function () {
            $('[name="course_tab"]').click(function () {
                curent_subject = this.id;
                //alert(this.id)

                var $hiddenInput = $('<input/>', {
                    type: 'hidden',
                    value: getCookie('csrftoken'),
                    name: 'csrfmiddlewaretoken'
                });
                $hiddenInput.appendTo('form');

                var $hiddenInput = $('<input/>', {type: 'hidden', value: this.id, name: 'selected_allotment_pk'});
                $hiddenInput.appendTo('form');

                $('#dummy_form').submit();

            });
        });

        $('document').ready(function () {
            $("#flexi_prompt").on('show.bs.modal', function () {
                var myNode = document.getElementById("entry");
                while (myNode.firstChild) {
                    myNode.removeChild(myNode.firstChild);
                }
                if ($('#datepicker-1').val() == '' || $('#id_hours').val() == '') {
                    alert('Enter proper details');
                    return;
                }

                $("#entry").append('<tr class="text-centerd"><th>Course</th><td class="text-centerd">' + '{{ selected_course_id }}' + '</td></tr>');
                $("#entry").append('<tr class="text-centerd"><th>Date</th><td class="text-centerd">' + $('#datepicker-1').val() + '</td></tr>');
                $("#entry").append('<tr class="text-centerd"><th>Hour</th><td class="text-centerd">' + $('#id_hours').val() + '</td></tr>');
            });

            $('#submit_form').click(function () {
                var $hiddenInput = $('<input/>', {
                    type: 'hidden',
                    value: "{{ selected_allotment_pk }}",
                    name: 'selected_allotment_pk'
                });
                $hiddenInput.appendTo('form');
                $('#flexi_attendance_form').submit();

            });
        });
    </script>

{% endblock %}